#pragma once
#include <Windows.h>

struct BITMAPINFO256
{
	BITMAPINFOHEADER h;
	RGBQUAD palette[256];
};

extern HWND hwnd_main;
extern BOOL IsWindowed;
extern WORD prtscn_toggle;
extern BYTE* dib_bits;
extern __declspec(align(128)) BYTE client_bits[640 * 480];
extern BITMAPINFO256 bmi;

HRESULT lock(LONG* pitch, void** surf_bits);
void unlock(void* surface);
void cleanup();
void set_palette(PALETTEENTRY* colors);
HRESULT init(HWND hwnd);
bool set_resolution(int width = 640, int height = 480);
void d3d_reset();